apiVersion: v1
kind: Service
metadata:
  name: canine-projectmanagement-postgres-cluster-ip
  namespace: haderupskovservice
spec:
  type: ClusterIP
  selector:
    group: projectmanagement-postgres
  ports:
    - port: 5432
      targetPort: 5432
      name: projectmanagement-postgres
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: canine-projectmanagement-postgres
  namespace: haderupskovservice
spec:
  replicas: 1
  selector:
    matchLabels:
      group: projectmanagement-postgres
  template:
    metadata:
      labels:
        group: projectmanagement-postgres
    spec:
      volumes:
        - name: projectmanagement-postgres
          hostPath:
            path: /Desktop/monopay/projectmanagementdata
      containers:
        - image: postgres
          name: projectmanagement-postgres
          ports:
            - containerPort: 5432
              name: db
          volumeMounts:
          - name: projectmanagement-postgres
            mountPath: /var/lib/postgresql/data
          env:
            - name: POSTGRES_PASSWORD
              value: "test1234"
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: canine-projectmanagement
  namespace: haderupskovservice
spec:
  replicas: 1
  selector:
    matchLabels:
      group: canine
  template:
    metadata:
      labels:
        group: canine
    spec:
      containers:
        - name: canine-projectmanagement
          image: registry.gitlab.com/monosoft/customers/haderup/projectmanagement.service:latest
          env:
            - name: "servicediscovery_sqlserver_password"
              value: "test1234"
            - name: "rabbitmq_port"
              value: "5672"
            - name: "servicediscovery_sqlserver_user"
              value: "postgres"
            - name: "rabbitmq_password"
              value: "guest"
            - name: "rabbitmq_host"
              value: "canine-rabbitmq-cluster-ip"
            - name: "rabbitmq_username"
              value: "guest"
            - name: "servicediscovery_sqlserver_name"
              value: "canine-projectmanagement-postgres-cluster-ip"
            - name: "servicediscovery_sqlserver_port"
              value: "5432"
            - name: "servicediscovery_sqlserver_databasename"
              value: "projectmanagement"
      imagePullSecrets: 
        - name: monosoft